.c-compare {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  max-width: 100%;
  width: 100%;
  height: 100%;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.c-compare__title {
  display: block;
  margin: 0 1rem 1rem 0;
  font-size: 2.5rem;
  line-height: 1.15;
  font-weight: 500;
  padding: 2.5rem 0 3rem;
}

.c-compare__top {
  width: 100%;
  background: #fff;
  border-radius: 10px;
}

.c-compare__top__select {
  margin: 0 0.5rem 0.5rem 0;
}

.c-compare__empty {
  margin: 4rem auto;
  text-align: center;
  line-height: 1.5;
  max-width: 520px;
  padding: 0 20px;
}

.c-compare-empty__title {
  display: block;
  margin: 0 0 3rem;
  font-size: 2.5rem;
  line-height: 1.15;
  font-weight: 500;
}

.c-compare-empty__content {
  font-size: 1.6rem;
}

.c-compare-empty__link {
  color: var(--color-link);
  border-bottom: 1px solid #e3eeff;
  opacity: 0.2s;
}

.c-compare-empty__link:hover {
  opacity: 0.8;
}

.c-compare__items-container {
  position: relative;
  z-index: 500;
  padding: 3rem 2.5rem;
  border-radius: 10px;
  overflow: hidden;
}

.c-compare-select {
  padding: 0 2.5rem 0 1rem;
  height: 3rem;
}

.c-compare__top__buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.default-btn.c-compare__clear {
  height: 3.2rem;
  padding: 0 1.2rem;
}

@media screen and (max-width: 768px) {
  .c-compare__top__buttons .c-button {
    padding: 0;
    background: 0;
    color: #666;
    border-bottom: 1px dashed #666;
    border-radius: 0;
    font-size: var(--text-xxs);
    line-height: 1;
    height: 25px;
  }

  .c-compare__top__buttons .c-button .icon {
    display: none;
  }

  .c-compare__top select {
    height: 25px;
  }

  .c-compare__top {
    height: auto;
  }
}

.c-compare__wrapper .compare-product__item,
.c-compare__items .swiper-slide {
  min-width: 20%;
  max-width: 50rem;
  padding: 0 3rem;
  width: auto;
  height: auto;
  -ms-flex: 1;
  flex: 1;
  min-width: 27rem;
  border-right: 1px solid #edeff5;
}
.c-compare__wrapper .swiper-slide:last-child,
.c-compare__items .swiper-slide:last-child {
  padding-right: 0;
  border-right: none;
}
.c-compare__wrapper .swiper-slide:first-child,
.c-compare__items .swiper-slide:first-child {
  padding-left: 0;
}

.c-compare__top-buttons {
  padding: 3rem 2.5rem 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.c-compare__left {
  position: relative;
  width: 45%;
  height: 100%;
  -webkit-box-ordinal-group: 3;
  -ms-flex-order: 2;
  order: 2;
}

.c-compare__right {
  width: 100%;
  -webkit-box-ordinal-group: 4;
  -ms-flex-order: 3;
  order: 3;
  overflow: auto;
  margin-bottom: 4rem;
  margin-top: 1rem;
  padding: 3rem;
  border-radius: 10px;
  background: var(--color-bg);
}

.c-compare__wrapper .swiper-slide {
  padding: 0 3rem;
  width: auto;
  height: auto;
  -ms-flex: 1;
  flex: 1;
  min-width: 27rem;
  border-right: 1px solid #edeff5;
}

.c-compare__item {
  overflow: hidden;
  padding: 10px;
  box-sizing: border-box;
}

.c-compare__img {
  display: block;
  margin-bottom: 20px;
  height: 200px;
  background-color: var(--color-bg);
}

.c-compare__img img {
  object-fit: contain;
  object-position: center;
  width: 100%;
}

.compare-product__title {
  font-size: var(--text-xxs);
  color: #848484;
  line-height: 1.67;
  margin-bottom: 4px;
  letter-spacing: 0.8px;
  font-weight: 500;
  transition: all 0.4s ease-in-out;
}

.c-compare__item:hover .compare-product__title {
  text-decoration: underline;
}

.compare-product__title:hover,
.c-compare__remove:hover {
  color: var(--color-accent);
}

.c-compare__property {
  display: none;
}

.c-compare__table {
  font-size: var(--text-xxs);
  line-height: 12px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-direction: column;
  margin-top: 5px;
  padding-bottom: 60px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
}

.c-compare__table__left {
  position: absolute;
  top: 300px;
  left: 0;
  width: 100%;
}

.c-compare__table__left .c-compare__row {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.c-compare__table__left .c-compare__column {
  font-weight: 500;
  width: 100%;
  text-transform: uppercase;
}

.c-compare__table__right .c-compare__column {
  min-width: 225px;
  max-width: 225px;
  overflow: hidden;
  display: flex;
  justify-content: space-between;
}

.c-compare__row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
}

.c-compare__column {
  line-height: 1.2;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  min-height: 35px;
  margin-right: 10px;
  padding: 5px 10px;
  border-bottom: 1px solid #dadada;
  background: #fff;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.c-compare__name {
  display: block;
  margin: 0;
  font-size: 1.6rem;
  line-height: 1;
  font-weight: 400;
  color: #bdc2d3;
  margin: 0 0 1rem;
}

.c-compare__value {
  display: block;
  margin: 0 0 2.5rem;
  font-size: 1.6rem;
  line-height: 1;
}

.c-compare__remove {
  text-align: right;
  position: absolute;
  display: block;
  width: 25px;
  height: 25px;
  top: 10px;
  right: 10px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  transition: all 0.4s ease-in-out;
  font-size: 1.6rem;
  line-height: 1;
}

.c-compare .compare-product__title {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  max-height: 47px;
  min-height: 47px;
}

.mg-compare-products .mg-tooltip .mg-tooltip-content {
  position: absolute;
  z-index: 111;
  text-align: left;
  padding: 5px 8px;
  border-radius: 5px;
  background: #fff;
  top: 100%;
  left: 10px;

  color: #000;
  font-size: var(--text-xxs);
  line-height: 19px;
  box-shadow:
    0 1px 23px 1px rgba(0, 0, 0, 0.2),
    0 2px 6px rgba(0, 0, 0, 0.15);
  white-space: normal;
  width: 200px;
}

.mg-compare-products .mg-tooltip:hover .mg-tooltip-content {
  display: block !important;
}

.mg-compare-products .mg-tooltip:hover {
  color: #9e9999;
  border: 1px solid #9e9999;
}

.mg-compare-products .mg-tooltip {
  display: inline-block;
  vertical-align: middle;
  padding: 0 0 0 0;
  width: 15px;
  height: 15px;
  border-radius: 100px;
  color: #1391c7;
  font-size: var(--text-xxs);
  line-height: 14px;
  text-align: center;
  font-weight: normal;
  border: 1px solid #1391c7;
  cursor: pointer;
}

.c-compare__column {
  position: relative;
}

.mg-compare-fake-table-cell.with-tooltip .mg-tooltip {
  right: 5px;
  left: auto;
}

.mg-compare-fake-table-cell.with-tooltip .mg-tooltip {
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
}

.compare-product__price {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  font-weight: 500;
  font-size: var(--text-xxs);
  max-height: 30px;
  min-height: 30px;
  flex-wrap: wrap;
}

.mg-compare-product .compare-product__price--current {
  margin-right: 10px;
}

.mg-compare-product .compare-product__price--old {
  color: #848484;
}

.c-compare__right {
  scrollbar-color: var(--main-color) #f3f3f3;
  scrollbar-width: 10px;
}

.c-compare__right::-webkit-scrollbar {
  background-color: #f3f3f3;
  height: 8px;
}

.c-compare__right::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
  border-radius: 5px;
}
.c-compare__ungroup-title,
.c-compare__group-title {
  display: block;
  font-size: 1.8rem;
  line-height: 1;
  font-weight: 500;
  margin: 0 0 3rem;
}

.c-compare__props {
  padding: 12px 0;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-direction: column;
}

.c-compare__items {
  width: 100%;
  padding-bottom: 3rem;
}

.compare-sticky .c-compare__items-container {
  background: #fff;
  box-shadow: 0px 0px 20px rgba(170, 189, 206, 0.25);
}

.c-compare-empty__img {
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 20rem;
  height: 20rem;
  border-radius: 50%;
  background: var(--color-bg);
  margin: 0 auto 5rem;
  overflow: hidden;
}

@media (min-width: 1201px) {
  .c-compare__items .swiper-slide,
  .c-compare__wrapper .swiper-slide {
    min-width: 20%;
    max-width: 50rem;
  }
  .c-compare__items-container {
    padding: 3rem;
    transition:
      box-shadow 0.25s,
      background 0.25s;
  }
  .c-compare__top-buttons {
    padding: 3rem 3rem 0;
  }
}

@media (max-width: 1200px) {
  .compare-page .container {
    max-width: 147rem;
    padding: 0 2.5rem;
    margin: 0 auto;
  }
  .c-compare__title {
    padding: 2rem;
  }
  .c-compare__top,
  .c-compare__right {
    border-radius: 0;
  }
}



